精华内容
下载资源
问答
  • 2019-05-04 20:10:03

    【Fortran】循环结构


    1) DO 循环

    循环体缩进不是硬性要求,是为了提高可读性。

    DO循环主要包括两种形式:

    • 当循环:不明确循环次数;
    • 迭代循环 :明确循环次数。

    ① 当循环

    • 常用格式
      [name:] DO
      	...
      	IF(logical_expression) EXIT
      	...
      END DO [name]
      
      只有当logical_expression为正时,才会结束循环。可以有多条EXIT语句,但尽量只含有一条,逻辑会更加清晰。
    • 不常用格式
      DO WHILE(logical_expression)
      	...
      	...
      	...
      END DO
      
      logical_expression为正时,一直循环。但这是常用格式的特殊形式,不常使用,因为常用格式也能够实现这种功能。

    ② 迭代循环

    [name:] DO index=istart,iend,iner   ! 分别代表初值、结束值、步长值(可正可负)
    	...
    	...
    	...
    END DO [name]
    
    • istart相当于是计数器,是整型值,尽量不要在内部进行修改,否则容易出错;
    • 当步长iner不设置时,默认值为1;
    • 如果需要计算或统计循环过程中某个值的变化情况,可另设变量,而不是用计数器istart

    ③ 嵌套

    循环一层套一层,不多说。


    2) CYCLE 和 EXIT

    用于当循环和迭代循环,如:

    [name:] DO
       ...
       IF(logical_expression) CYCLE ! 当IF满足条件时,执行CYCLE,当前循环的执行将被终止,返回至循环的顶部,但变量的数值没有被重置
       ...
    END DO [name]
    
    [name:] DO
       ...
       IF(logical_expression) EXIT ! 当IF满足条件时,执行EXIT,当前循环的执行将被终止,跳出循环,但变量的数值没有被重置
       ...
    END DO [name]
    

    同理,最好给循环命名,然后在CYCLEEXIT后面加上相应预想操作的循环名,就可以跳过某一次循环或终止某一个循环,这在嵌套循环中特别有用。

    更多相关内容
  • c语言结束本次循环语句是什么

    千次阅读 2021-05-18 14:31:35
    控制语句continue只能作用循环,其作用是结束本次循环,跳到判断循环的位置,即重新开始下一次循环。本教程操作环境:windows7系统、c99版本、Dell G3电脑。在C语言,控制语句“continue”用于循环结束...

    c语言中结束本次循环的语句是“continue”。控制语句continue只能作用于循环体中,其作用是结束本次循环,跳到判断循环的位置,即重新开始下一次循环。

    ac0d26f272e23ec04d20a064210dd7cf.png

    本教程操作环境:windows7系统、c99版本、Dell G3电脑。

    在C语言中,控制语句“continue”用于循环体中结束本次循环,重新开始下一次循环。

    在C语言中,控制执行顺序的语句主要有break语句、continue语句、goto语句、exit函数和abort函数。break语句用于循环语句或switch()语句之中,当执行到该语句时,直接结束该循环语句或switch语句,把控制转到紧跟该循环语句或switch语句之后的语句。

    continue语句只能作用于循环体中,其作用是结束本次循环,跳到判断循环的位置,即重新开始下一次循环。

    goto语句可以从条件语句或循环语句里面转移到语句的外面有标号处执行。

    exit()和abort()函数的作用是终止程序的执行,将控制返回给操作系统。

    教程

    continue语句

    continue 语句的作用是跳过循环体中剩余的语句而强制进入下一次循环。continue语句只用在 while、for 循环中,常与 if 条件语句一起使用,判断条件是否成立。

    示例:#include

    int main(){

    char c = 0;

    while(c!='\n'){ //回车键结束循环

    c=getchar();

    if(c=='4' || c=='5'){ //按下的是数字键4或5

    continue; //跳过当次循环,进入下次循环

    }

    putchar(c);

    }

    return 0;

    }

    运行结果:0123456789↙

    01236789

    更多计算机编程相关知识,请访问:!!

    展开全文
  • 1、break语句break语句主要用于switch语句以及循环结构中。在循环语句中使用break语句,如果执行了break语句,那么会退出本层循环,接着执行本层循环之后的语句。如果在循环结构中使用了switch语句,则break语句仅仅...

    1、break语句

    break语句主要用于switch语句以及循环结构中。

    在循环语句中使用break语句,如果执行了break语句,那么会退出本层循环,接着执行本层循环之后的语句。

    27a0ebea3afdca30fcdcd598588175cd.png


    如果在循环结构中使用了switch语句,则break语句仅仅退出switch语句,并不会退出循环结构,而且继续执行switch之后的语句。

    602439acba07144688fc3054934360a3.png

    2、continue语句

    continue语句比较特殊,它并不会退出整个循环,仅会结束本次循环体的执行,并进入下一次循环。

    9a151a817794af51ee685558f5ad7228.png

    3、goto语句

    goto语句可以跳出循环体,到goto语句标记的地方,然后继续向下执行。但是需要注意的是,标号必须与goto语句在同一个函数体内,不能跨越函数体。

    5b2869471ed56bca3e17e6f588ec60a3.png

    4、return语句

    如果return语句出现在函数里面,则意味着这个函数结束;如果return语句出现在main函数里面,则意味着该程序就要结束。

    f5b53b84e86484f760f69d9600da2416.png

    5、exit函数

    exit与return的最大区别在于exit会结束当前进程,同时删除进程所占用的内存空间,把返回信息传递给父进程。

    return仅表示调用堆栈的返回,其作用是返回函数值,并且推出当前执行的函数体,返回到函数的调用处。

    在main函数中return与exit是等价的。

    展开全文
  • 1 概述在脚本的循环中,需要用到break,continue,exit.来控制循环。利用return来获取函数的返回值。本文将对这四个命令的使用做介绍break [N]:提前结束第N层循环,最内层为第1层continue [N]:提前结束第N层的本轮...

    1 概述

    在脚本的循环中,需要用到break,continue,exit.来控制循环。利用return来获取函数的返回值。本文将对这四个命令的使用做介绍

    break [N]:提前结束第N层循环,最内层为第1层

    continue [N]:提前结束第N层的本轮循环,而直接进入下一轮判断;最内层为第1层

    exit 命令终止脚本

    2  break continue exit   对比

    2.1 break 和continue 测试

    假设一个循环体内,总共嵌套了3层循环,总循环体N为3,break 和continue要退出的层数为n

    为了方便做测试对比,将continue和break和exit都被写入在最里层的循环体内,即循环体1内

    最外层循环为3

    第二层循环为2

    最里层循环为1

    测试方法:一个一个测试,先注释掉其他两个

    步骤一:测试break,则将continue和exit都注释,依次增大break  n中n的数值,从1到n,n最终大于3

    步骤二:测试continue,则将break,和exit都注释,依次增大continue  n中n的数值,从1到n,n最终大于3

    步骤三:对比步骤一和二的结果

    测试结果如下,

    continue 1,结束这次的子循环条件,退出到同一层的循环,即1层来继续下一个条件的循环

    break 1 结束这一层的循环,退出到上一层(3-1层),即第2层循环,继续执行第2层循环的下一个条件的循环

    continue 2,这个条件等价于break 1

    break 2 结束两层循环,退出到上一层的上一层循环(3-2层),即第1层循环,继续执行第1层循环的下一个条件的循环

    continue 3,这个条件等价于break 2

    break 3,结束三层循环,即退出3个循环体,继续往下执行循环体下面的脚本。

    注意,当退出的循环体的数量N大于3,此时得到的结果

    continue N 得到的结果和continue 3一样;

    break N 得到的结果和break 3一样;

    总结:N为所有循环体最外层层数,当退出循环的层数n为   1

    当n=1或者n=N;continue 和break 执行效果不一样

    当n>N,其实没有实际的执行效果,因为本身没有那么多层的循环体可以退出

    2.2 exit 测试

    exit X ;一旦执行到exit,则直接退出整个脚本的运行,这里的X不作为退出层数,只作为退出函数后$?的值

    如设置

    exit 6

    当循环执行到这个语句时,直接退出所有的脚本,而且此时$?的值为6

    2.3 脚本

    #!/bin/bash

    #

    #******************************************************************************

    #Author:               Sunny

    #Date:                 2017-09-01

    #FileName:             Tbreak_con_exit.sh

    #version:              1.0

    #Your change info:

    #Description:          For testing break continue and exit

    #Copyright(C):         2017  All rihts reserved

    #*****************************************************************************

    for ((m=1;m<3;m++))

    do

    for ((j=1;j<5;j++));do

    for ((i=1;i<5;i++ ))

    do

    if [ $i -eq 3 ]

    then

    break 4

    #continue 3

    #exit 6

    fi

    echo "the m cycle is $m the out cycle is $j,and inner cycle is $i"

    done

    done

    done

    if [ $j -eq 1 ];then

    echo "now it will exit, the m:j:i cycle is $m: $j : $i"

    else

    echo "now it will exit, the m:j:i cycle is $[ $m-1 ]: $[ $j-1 ] : $[ $i-1 ]"

    fi

    3 return

    return这个是一个内置的命令,只能在函数或者是执行  source  脚本 里被识别

    return后面必须是跟数字

    3.1 测试函数里的return n

    当函数遇到return n 的时候,就会默认函数结束,而n的值就是整个函数执行结果的返回值,这个返回值如果是0,表示函数运行结果是正确的,如果是1-255表示执行的结果是错误的。

    测试方法:通过调整return n的n值, n 范围是[0,255]

    结果如下:

    当n=0,则调用函数get_version 后会执行代码 { echo "\$?=$?;RRC1=$?"; }

    当n != 0,则调用函数get_version 后会执行代码 { echo "\$?=$?;WRC2=$?"; }

    其中

    RC1会把赋值为0,因为此时的$?是执行获得版本信息os_version得到的返回值,这个命令执行结果是正确的,所以返回0值

    RC2不会被赋值,因为RC2前面已经有return n;函数执行到return n已经结束,所以RC2 不被赋值

    脚本如下:

    #!/bin/bash

    #

    #******************************************************************************

    #Author:              Sunny

    #Date:                2017-09-01

    #FileName:            Treturn.sh

    #version:              1.0

    #Your change info:

    #Description:          For

    #Copyright(C):        2017  All rihts reserved

    #*****************************************************************************

    get_version() {

    os_version=`cat /etc/system-release | grep -o " [0-9]"| cut -d " " -f2` && { RC1=$?;return 2;RC2=$?; }

    }

    get_version && { echo "\$?=$?;RRC1=$?"; } || { echo "\$?=$?;WRC2=$?"; }

    echo version=$os_version

    echo RC1=$RC1

    echo RC2=$RC2

    3.2 测试source 脚本的return n

    在执行  source  脚本 ,如果遇到 return n表示整个脚本执行结束,而n值作为脚本结束的返回值

    测试方法:通过注释掉 os_version来查看当脚本里有没有return n后面的语句是否会执行

    结果如下:

    当有return n的时候,return n后的命令不在被执行,说明已经退出脚本

    当没有return n的时候,return n后的命令依然被执行

    #!/bin/bash

    #

    #******************************************************************************

    #Author:              Sunny

    #Date:                2017-09-01

    #FileName:            trc.sh

    #version:              1.0

    #Your change info:

    #Description:          For  test the functioon of return used in script

    #Copyright(C):        2017  All rihts reserved

    #*****************************************************************************

    echo RC1=$RC1

    echo RC2=$RC2

    echo \$?=$?

    os_version=`cat /etc/system-release | grep -o " [0-9]"| cut -d " " -f2` && { RC1=$?;return 6;RC2=$?; }

    #os_version=`cat /etc/system-release | grep -o " [0-9]"| cut -d " " -f2` && { RC1=$?;RC2=$?; }

    ls

    pwd

    echo RC1=$RC1

    echo RC2=$RC2

    echo \$?=$?

    4 总结

    break和continue都是用来控制循环体

    exit 直接退出脚本执行

    return是用来返回函数的执行结果

    当用source 脚本 来执行脚本的时候,return会把识别,此时的return可以返回整个脚本的执行结果

    展开全文
  • 一、for循环语句 二、while循环语句结构 三、until 循环语句结构 四、exit、continue和break
  • 用C语言结束这个循环语句是什么

    千次阅读 2021-05-18 14:31:37
    control语句continue只能作用循环体,它的作用是结束这个循环,跳转到判断循环的位置,即重启下一个循环。本教程操作环境:windows7系统,c99版本,戴尔G3电脑。在C语言循环使用控制语句“continue”来结束...
  • Python循环结构语句

    2020-11-26 01:17:24
    被反复执行的这段代码称为循环体山东掌趣网络科技​Python提供的循环语句:while语句,for-in语句2.while循环循环体是指一组被重复执行的语句条件表达式返回值为True,执行循环中语句;执行完毕后,从新判断...
  • 一.break和continue的使用以及带标签的break和continue...运行结果为:2.continue的使用 continue 语句用在循环语句,用于终止某次循环过程,即跳过循环尚未执行的语句,接着进行下一次是否执行循环的判定。...
  • 1. break break语句的使用场合主要是...如果循环结构里有switch语句,并且在switch语句中使用了break语句,当执行switch语句中的break语句时,仅退出switch语句,不会退出外面的循环结构。通过图3-17,读者可以很直
  • shell作为一种脚本语言,同样包含循环、分支等其他程序控制结构,从而能够轻松完成更加复杂的工作,具有强大的功能。for循环语句读取不同的变量值,用来逐个执行同一组命令;使用while循环语句时,可以根据特定的...
  • 《VB程序的基本结构――循环结构之For-Next语句》由会员分享,可在线阅读,更多相关《VB程序的基本结构――循环结构之For-Next语句(4页珍藏版)》请在人人文库网上搜索。1、课 题: 程序的基本结构循环结构之For-Next...
  • Fortran do 循环结构而如何更好地区分exit和cycle的实用方法 //an hightlighted block !exit 和cycle 是在Fortran跳出循环的两种方法,但注意区别,exit是跳出离exit当前do循环,特殊情况exit+循环名代表跳出循环...
  • 相关问题退出语句是: EXIT|FOR NEXT|IF THEN|IF THEN ELSE: 退出 语句 EXIT FOR NEXT IF THEN下面说法不正确: 下面 说法 源 文件 import 语句 语句 空行 注释 外 语句 行一条赋值语句可同时对多个变量进行赋值: 赋值...
  • 循环结构中break、continue、goto、return和exit的区别(1) ...在此之前讲解循环结构时不止一次提到了break语句和continue语句的使用,接下来看看break、continue、goto、return和exit循环结构中的区别和注
  • VB的do while loop语句Do Loop 语句的语法具有以下几个部分:在Do…Loop 可以在任何位置放置任意个数的 Exit Do 语句,随时跳出Do...Loop 循环Exit Do 通常用于条件判断之后,例如If Then,在这种情况下,Exit...
  • VBScript主要有4种循环语句,分别如下: (1)Do…Loop:当(或直到)条件为True时循环; (2)While…Wend:当条件为True时循环; (3)For…Next:指定循环次数,使用计数器重复运行语句; (4)For Each…Next...
  • for和while循环语句用法先上总结:1、for循环语句:在python,for循环,说白了就是一个遍历,遍历的对象可以是一个列表,字符串,元组等等;像冒泡排序啥的,两个for循环嵌套就可以完成2、whlie循环:在python,...
  • 新朋友请点上方“数据分析师攻略”加关注在Python循环语句有两个,一个是for循环,一个是while循环。for循环是按指定的次数进行循环,而while循环是根据条件进行循环,不满足条件时就停止循环。下面,详细介绍...
  • 循环结构中使用break语句,如果执行了break语句,那么就退出循环,接着执行循环结构下面的第一条语句。如果在多重嵌套循环使用break语句,当执行break语句的时候,退出的是它所在的循环结构,对外层循环没有任何...
  • 认识(实习)报告 实验(实习)名称循环结构程序设计 日期得分指导教师系专业年级班次姓名学号一、 实验目的(1)掌握在程序...⑸了解在嵌套循环结构中,提高程序效率的方法。二、 实验内容1. 输入一个正整数,并将其颠倒...
  • $i < 10; $i++) {if ($i == 1 || $i == 5) {continue;} else {echo "$i";}}当变量$i的值等于1或者等于5时执行continue语句,...因为continue在循环结构中,表示放弃当前循环,会继续进行下一个循环语句。注意c...
  • 对于即将步入PHP岗位的求职者来...大家应该都知道PHP循环结构常见的有for循环、foreach循环、do...while循环等。下面我们就结合一个for循环例子为大家详细解说。php跳出for循环的四种方法代码示例如下:第一种方法:...
  • python的循环语句结构

    2020-11-24 03:14:51
    1.1 迭代循环for语句的语法结构如下图:#首先前面是一个for然后是一个循环变量接着是一个关键字in最后是一个可迭代对象冒号结尾。for in :break #跳出循环continue #略过余下的循环语句else: #迭代完毕,则执行1.2 ...
  • 常用SQL/oracle循环语句

    千次阅读 2021-05-03 07:09:05
    2、使用T-SQL标准控制结构: 1 定义语句块 2 IF ... ELSE语句 3 IF EXISTS语句 语法: declare select @lname = ‘Smith’ if exists(select * from titles where au_lname = @lname) begin select @msg = ‘There ...
  • 本文带领大家了解break和continue的使用,及它们在循环语句中作用。1、break (int); 语句//break的作用为退出循环体,当break后面加上数字时,表示退出第几层的循环。多用在while、do…while、for、foreach、...
  • VBAfor next循环语句有哪些?以下文字资料是由(历史新知网www.lishixinzhi.com)小编为大家搜集整理后发布的内容,让我们赶快一起来看一下吧!VBAfor next循环语句有哪些?For 循环变量=初值 to 终值 step 步长...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 59,789
精华内容 23,915
关键字:

循环结构中exit语句的功能是